
/**
 * SpectraDataListFormat_1.java
 * This interface is used to add support for a list of spectra data 1
 *
 * Created: Mar 8 2004
 *
 * @author Nathan Stevens
 * @version 0.1 3/13/04
 */
import java.io.*;
import java.util.*;

public interface SpectraDataListFormat_1 {
  
  // Method to get and set Meta information about the data
  String[] getMetaInfo();
  void setMetaInfo(String[] metainfo);
  
  // Method to add type of data
  String getType();
  
  // Method Add a data object
  void addData(SpectraData sdata);
  
  //Method to get the Vector of Data
  Vector getData();
  
  // Method to get a specific data object
  SpectraData getData(int index);
  
  // Method to get the specific data count
  int getDataCount();
  
  // Method to remove a specific data object
  void remove(int index);
  
  // Method to remove all spectra data
  void removeAll();
  
  // Method to get notes for the data objects contained within
  String getNotes();
  void setNotes(String notes);
  
  // Method to get a and set a list of Attachments URL
  Vector getAttachmentURL();
  void setAttachmentURL(Vector urls);
  
  // Method to get and set a list of keywords for seaching purposes
  Vector getKeywords();
  void setKeywords(Vector keywords);
  
  // Method to see if the data is shared
  boolean isShared();
  void setShared(boolean b);
  
  // Method to set and get a password
  String getPassword();
  void setPassword(String pw);
  
  // get the version of this file
  int getVersion();
  
  // Method to get the string representation of the data
  String toString();
}
